Checks the status of a publication.
URL Parameters
| Name | Type | Description |
|---|---|---|
statusId |
string | Required. The statusId provided by a successful POST request to schedule for a specific version of a journey. |
Usage
This request retrieves the publishing status for the specified statusId provided while making a publishAsync request.
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /interaction/v1/interactions/publishStatus/{statusId}
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
Journey Builder returns one of these statuses.
- PublishInProcess
- PublishCompleted
- Error
HTTP/1.1 200
{
"statusId": "bd93502a-773c-4588-81d9-d3c7ca0cc10a",
"status": "PublishInProcess",
"errors": []
}
If any errors are encountered during the publishing process, they're listed as elements in the errors array.